/*
 * File         : Event_Handler.h
 * Author       : Tomasz Stachowiak
 * Created      : Fri May 15 18:07:38 1998
 * Revision     : $Revision$
 * Updated      : $Date$
 * Copyright: Northeast Parallel Architectures Center
 *            at Syracuse University 1998
 */

#ifndef __EVENT_HANDLER_H
#define __EVENT_HANDLER_H

#include <BVN/BVN.h>

typedef enum Event_Type
{
  ACCEPT_EVENT = 01,
  READ_EVENT = 02,
  WRITE_EVENT = 04,
  TIMEOUT_EVENT = 010,
  SIGNAL_EVENT = 020,
  CLOSE_EVENT = 040
} Event_Type;


class Event_Handler
{
 public:

  virtual int handle_event(Event_Type et) = 0;
  virtual HANDLE get_handle(void) = 0;
};

#endif

